API referenceAnalytics

GET /analytics/posts/{id}

Insights of each published target of a post (stored for best-time analysis)

GET
/analytics/posts/{id}

Authorization

BearerAuth
headerAuthorizationBearer <token>

API key sk_...

Path Parameters

id*string

Postgale post id

Query Parameters

metrics?string

Comma-separated metric names instead of the defaults (IG feed: reach,likes,comments,shares,saved,total_interactions,views; FB: post_media_view,post_reactions_by_type_total,post_clicks; Threads: views,likes,replies,reposts,quotes,shares)

accountId?string

Only this target

Response Body

{postId, targets}

application/json
  1. response
postId?string
targets?array<>
Example Request
curl -X GET 'https://example.com/api/v1/analytics/posts/string'
Example Response
{  "postId": "string",  "targets": [    {      "targetId": "string",      "accountId": "string",      "platform": "string",      "platformPostId": "string",      "publishedAt": "2019-08-24T14:15:22Z",      "metrics": {        "property1": 0,        "property2": 0      },      "metricsAt": "2019-08-24T14:15:22Z",      "unavailable": [        "string"      ],      "error": {        "code": "string",        "message": "string"      }    }  ]}